return function(nes)
  local PAL = require("PPU." .. tostring(nes:getCart():getSystem()) .. ".palette")
  local pal = love.image.newImageData(64, 1)
  pal:mapPixel(function(x)
    local r, g, b = PAL[x * 3 + 1], PAL[x * 3 + 2], PAL[x * 3 + 3]
    return r / 255, g / 255, b / 255, 1.0
  end)
  local palImg = love.graphics.newImage(pal)
  palImg:setFilter('nearest')
  return palImg, PAL
end
